.form__item
{
    position: relative;

    margin-bottom: 21px;
}

.form__input
{
    font-family: Montserrat, sans-serif;
    font-size: 16px;
    line-height: 1.94;
    letter-spacing: 0.3px;

    width: 100%;
    padding: 9px 20px 8px;

    border: solid 1px rgba(144, 161, 181, 0.4);
    border-radius: 4px;
    background-color: rgba(245, 246, 250, 0.4);
    color: #2c2c2c;
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.05);

    transition: all .2s cubic-bezier(0.250, 0.460, 0.450, 0.940);
}
.form__input_white {
    background: #fff;
}

textarea.form__input
{
    resize: none;
}

.form__input:focus {
    border-color: #2c2c2c;
}

.form__label
{
    display: inline-block;
    font-family: Montserrat, sans-serif;
    font-size: 14px;

    width: 100%;
    margin-bottom: 5px;

    text-align: left;
    line-height: 2.21;
    letter-spacing: 0.26px;

    transition: all .2s cubic-bezier(0.250, 0.460, 0.450, 0.940);
}

.form__radio {
    position: relative;
    display: inline-block;

    font-family: Montserrat, sans-serif;
    font-size: 16px;
    line-height: 1.94;
    letter-spacing: 0.3px;

    width: 50%;
    height: 50px;
    padding: 9px 20px 8px;

    border: solid 1px rgba(144, 161, 181, 0.4);
    border-radius: 4px;
    background-color: rgba(245, 246, 250, 0.4);
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.05);
    cursor: pointer;

    transition: all .2s cubic-bezier(0.250, 0.460, 0.450, 0.940);
}
.form__radio:hover {
    border-color: #2c2c2c;
}
.form__radio input {
    position: absolute;
    opacity: 0;
    height: 0;
    width: 0;
}
.form__radio span {
    margin-left: 26px;
    color: #b0b9c3;
}
.form__radio span:after {
    position: absolute;
    top: 16px;
    display: block;
    width: 16px;
    height: 16px;
    content: '';
    border-radius: 9px;
    border: solid 5px #fff;
    box-shadow: 0 0 0 1px rgba(144, 161, 181, 0.4);
    background-color: #fff;
}
.form__radio input:checked ~ span {
    color: #2c2c2c;
}
.form__radio input:checked ~ span:after {
    background-color: #2c2c2c;
    box-shadow: 0 0 0 1px #2c2c2c;
}

.radio-group {
    display: flex;
}
.radio-group .form__radio:not(:last-child) {
    margin-right: 18px;
}

.form__error-message
{
    position: absolute;
    top: 100%;
    left: 0;

    display: none;

    margin-top: 6px;

    font-size: 12px;
    line-height: 1.67;
    letter-spacing: 0.23px;

    color: #eb3536;
}

.form__item--invalid .form__error-message
{
    display: block;
}

.form__item--invalid .form__radio,
.form__item--invalid .form__input
{
    border-color: #eb3536;
}
.form__item--invalid .chosen-single {
    border-color: #eb3536;
}

.form__group
{
    display: flex;
    margin-bottom: 21px;
    border: solid 1px rgba(144, 161, 181, 0.4);
    border-radius: 4px;
    background-color: rgba(245, 246, 250, 0.4);
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.05);
}
.form__group .form__item
{
    position: relative;
    margin-bottom: 0;
}
.form__group .form__item:first-child:after
{
    position: absolute;
    top: 9px;
    bottom: 9px;
    width: 1px;
    content: '';
    background: rgba(144, 161, 181, 0.4);
}

.form__group .form__input
{
    border: 0;
    box-shadow: none;
}



::-webkit-input-placeholder, /* Chrome/Opera/Safari */
::-moz-placeholder, /* Firefox 19+ */
:-ms-input-placeholder, /* IE 10+ */
:-moz-placeholder, /* Firefox 18- */
::placeholder { /* Firefox 18- */
    color: #b0b9c3;
}

.after-form-login {
    margin-top: 30px;
}
.form-error,
.form-thanks,
.form-loader {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 30px;
    display: none;
    justify-content: center;
    align-items: center;
    background: rgba(255,255,255,.9);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    text-align: center;
    z-index: 9999;
}
.form-error svg,
.form-thanks svg {
    width: 100%;
}
.form-error .title,
.form-thanks p {
    line-height: 1.5;
}
.form-error--show,
.form-thanks--show,
.form-loader--show {
    display: flex;
}
.form-thanks__title {
    margin: 70px 0 20px;
    font-size: 30px;
    font-weight: 800;
    line-height: 1.5;
    letter-spacing: 0.56px;
}
.form-error__text {
    padding: 40px;
}
.form-thanks__button,
.form-error__button {
    margin-top: 42px;
}
.form-error .title {
    margin-top: 42px;
}

.form__message {
    display: none;
}

.form--white {
    padding: 70px 83px;
    border-radius: 30px;
    background: #fff;
    box-shadow: 0 10px 34px 0 rgba(210, 210, 210, 0.5);
}

.form-loader__image {
    width: 64px;
    -webkit-animation-name: loader;
    animation-name: loader;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
}
.form-loader__image--a {
    fill: #2bc1ef;
}

@keyframes loader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
